import { JWTPayloadOptions, JWTPayloadOptionsDefault, Parser } from "../types";
import { JWTToken } from "./jwt";
export declare class JWTTokenParser<O extends JWTPayloadOptions = JWTPayloadOptionsDefault, P extends {} | undefined = undefined, H extends {} | undefined = undefined, SIG extends boolean = true> implements Parser<JWTToken<O, P, H, SIG>> {
    readonly expectSigned: SIG;
    constructor(expectSigned: SIG);
    parseToken(token: string): Promise<JWTToken<O, P, H, SIG>>;
}
//# sourceMappingURL=parser.d.ts.map