import { JWTPayloadOptions, JWTPayloadOptionsDefault, Key, Verifier } from "../types";
import { JWTToken } from "./jwt";
import { JWTTokenParser } from "./parser";
export declare class JWTTokenVerifier<O extends JWTPayloadOptions = JWTPayloadOptionsDefault, P extends {} | undefined = undefined, H extends {} | undefined = undefined> extends JWTTokenParser<O, P, H, true> implements Verifier<JWTToken<O, P, H, true>> {
    protected publicKey: Key;
    constructor(publicOrPrivateKey: Key);
    verifyToken(token: JWTToken<O, P, H, true>): Promise<boolean>;
    parseThenVerifyToken(token: string): Promise<JWTToken<O, P, H, true> | false>;
}
//# sourceMappingURL=verifier.d.ts.map