import { JWTHeader, JWTPayload } from "./standard/jwt";
import { Algorithm } from "./types";
export declare function isValidAlgorithm(alg: unknown): alg is Algorithm;
export declare function filterObject<T extends {}, R extends {} = Partial<T>>(obj: T, selector: (key: keyof T, value: T[keyof T]) => boolean): R;
export declare function getSignableString(header: JWTHeader<any>, payload: JWTPayload<any, any>): string;
export declare function roundDecPlaces(num: number, places: number): number;
//# sourceMappingURL=utils.d.ts.map