import * as standardJWT from "./standard/jwt";
import * as standardParser from "./standard/parser";
import * as standardVerifier from "./standard/verifier";
import * as standardIssuer from "./standard/issuer";
export * as types from "./types";
export * as jose from "jose";
export declare const standardJWTToken: {
    Token: typeof standardJWT.JWTToken;
    Header: typeof standardJWT.JWTHeader;
    Payload: typeof standardJWT.JWTPayload;
    Parser: typeof standardParser.JWTTokenParser;
    Verifier: typeof standardVerifier.JWTTokenVerifier;
    Issuer: typeof standardIssuer.JWTTokenIssuer;
};
//# sourceMappingURL=index.d.ts.map