"use strict";
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeUnitsMSMultiplierMap = exports.TIME_UNITS = exports.ALGORITHMS = exports.HMAC_ALGORITHMS = exports.RSA_ALGORITHMS = exports.EC_ALGORITHMS = exports.SYMMETRIC_KEYS_OPERATIONS = exports.PRIVATE_KEY_OPERATIONS = exports.PUBLIC_KEY_OPERATIONS = exports.KEY_OPERATIONS = exports.KEY_USES = exports.KEY_TYPES = void 0;
exports.KEY_TYPES = ["EC", "RSA", "oct"];
exports.KEY_USES = ["sig", "enc"];
exports.KEY_OPERATIONS = [
    "sign",
    "verify",
    "encrypt",
    "decrypt",
    "wrapKey",
    "unwrapKey",
    "deriveKey",
    "deriveBits",
];
exports.PUBLIC_KEY_OPERATIONS = ["verify"];
exports.PRIVATE_KEY_OPERATIONS = ["sign", "decrypt", "unwrapKey", "deriveKey", "deriveBits"];
exports.SYMMETRIC_KEYS_OPERATIONS = ["sign", "verify", "encrypt", "decrypt"];
exports.EC_ALGORITHMS = ["ES256", "ES384", "ES512"];
exports.RSA_ALGORITHMS = ["RS256", "RS384", "RS512"];
exports.HMAC_ALGORITHMS = ["HS256", "HS384", "HS512"];
exports.ALGORITHMS = __spreadArray(__spreadArray(__spreadArray([], __read(exports.EC_ALGORITHMS), false), __read(exports.RSA_ALGORITHMS), false), __read(exports.HMAC_ALGORITHMS), false);
exports.TIME_UNITS = ["seconds", "milliseconds", "mircoseconds"];
exports.TimeUnitsMSMultiplierMap = {
    seconds: 0.001,
    milliseconds: 1,
    mircoseconds: 1000,
};
//# sourceMappingURL=types.js.map